Retrieve All Multi-Record Workflows
Retrieve all available multi-record workflows which:
- The authenticated user has permissions to view or initiate
- Can be initiated through the API
GET
/api/{version}/objects/objectworkflows/actionsHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v23.3/objects/objectworkflows/actionsResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"name": "Objectworkflow.approval__c",
"label": "Review & Approval Workflow",
"type": "multirecordworkflow",
"cardinality": "OneOrMany"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following:
| Name | Description |
|---|---|
name | The workflow name. |
label | UI label for the workflow. |
type | Type of workflow. |
cardinality | Indicates how many contents (One, OneOrMany) can be included in a workflow. |
For users without the Workflow: Start permission, the response returns an INSUFFICIENT_ACCESS error.